Summary: The Insidious Big Brother Database
Name: bbdb
%define version 2.00.06
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Editors
Source0: http://www.netcom.com/~simmonmt/bbdb/bbdb%{version}.tar.gz
Source1: bbdb-init.el
Requires: emacs >= 20.3
Prereq: /sbin/install-info
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (GNUS, MH-E, and RMAIL).

%prep
%setup -q

%build
make EMACS="emacs -no-site-file -no-init-file" bbdb rmail gnus mhe info
gzip -9 texinfo/bbdb*

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/bbdb
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/bbdb/etc

install -m 0644 texinfo/bbdb.info* $RPM_BUILD_ROOT/usr/info
install -m 0644 lisp/{auto*,bbdb*.el*} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/bbdb
install -m 0644 tex/*tex $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/bbdb/etc
install -m 0644 $RPM_SOURCE_DIR/bbdb-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/bbdb

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/bbdb.info.gz /usr/info/dir \
                   --section="GNU Emacs" \
                   --entry "* BBDB: (bbdb).         Rolodex-like database program for Emacs."

%preun
if [ "$1" = 0 ]; then
   /sbin/install-info --delete /usr/info/bbdb.info.gz /usr/info/dir \
                      --section="GNU Emacs" \
                      --entry "* BBDB: (bbdb).         Rolodex-like database program for Emacs."
fi

%files
%defattr(-,root,root)
%dir /usr/share/emacs/site-lisp/bbdb
%doc texinfo/bbdb.texinfo.gz ChangeLog INSTALL README
/usr/share/emacs/site-lisp/bbdb/*
/usr/info/*

%changelog
* Mon Jan 17 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- upgrade to 2.00.06
- new directory structure

